<?xml version="1.0" encoding="utf-8"?>
<odoo>
    <data>
        <record id="committees_tree_view" model="ir.ui.view">
            <field name="name">committees.line.tree</field>
            <field name="model">committees.line</field>
            <field name="arch" type="xml">
                <tree string="committees">
                    <field name="name"/>
                    <field name="type"/>
                    <field name="branch_custom_id"/>
                </tree>
            </field>
        </record>
        <record id="committees_view_form" model="ir.ui.view">
            <field name="name">committees_view_form</field>
            <field name="model">committees.line</field>
            <field name="arch" type="xml">
                <form string="committees_form">
                    <sheet>
                        <div class="oe_button_box" name="button_box">
                            <button name="action_view_benefits"
                                    type="object"
                                    class="oe_stat_button"
                                    icon="fa-file-text-o">
                                <field name="benefit_count" widget="statinfo" string="Family Profile"/>
                            </button>
                        </div>
                        <group>
                            <group>
                                <field name="name"/>
                                <field name="branch_custom_id"/>
                                <field name="branch_id"/>
                            </group>
                            <group>
                                <field name="type" required="1"/>
                                <field name="mobile"/>
                            </group>
                        </group>
                        <notebook>
                            <page name="employees" string="Employees">
                                <field name="employee_id" mode="kanban" widget="many2many" nolabel="1"/>
                            </page>
                        </notebook>
                    </sheet>
                </form>
            </field>
        </record>
        <record id="committees_search_view" model="ir.ui.view">
            <field name="name">committees.line.search</field>
            <field name="model">committees.line</field>
            <field name="arch" type="xml">
                <search>
                    <field name="name"/>
                    <field name="type"/>
                    <group string="Group By">
                        <filter string="Type" name="type" context="{'group_by': 'type'}"/>
                    </group>
                    <separator/>
                    <filter string="Men" name="male" domain="[('type','=','male')]"/>
                    <filter string="Women" name="female" domain="[('type', '=', 'female')]"/>
                    <filter string="Both" name="both" domain="[('type', '=', 'both')]"/>
                    <separator/>
                </search>
            </field>
        </record>
    </data>
</odoo>